Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.event
Class EventDispatcher

    java.lang.Object
      net.sourceforge.pebble.api.event.EventDispatcher

Direct Known Subclasses:
  DefaultEventDispatcher

    public abstract class EventDispatcher

extends java.lang.Object

Responsible for dispatching events to registered listeners.

Author:
  Simon Brown

Constructor Summary
`EventDispatcher()`

Method Summary
`abstract void` | `fireBlogEntryEvent(BlogEntryEvent event)` Fires a blog entry event to registered listeners.
`abstract void` | `fireBlogEvent(BlogEvent event)` Fires a blog event to registered listeners.
`abstract void` | `fireCommentEvent(CommentEvent event)` Fires a comment event to registered listeners.
`void` | `fireEvents(BlogEntry blogEntry)` Fires all outstanding events on a given blog entry.
`abstract void` | `fireTrackBackEvent(TrackBackEvent event)` Fires a TrackBack event to registered listeners.
`EventListenerList` | `getEventListenerList()` Gets the event listener list.
`void` | `setEventListenerList(EventListenerList eventListenerList)` Sets the event listener list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDispatcher

    public EventDispatcher()

Method Detail

### getEventListenerList

    public EventListenerList getEventListenerList()

  Gets the event listener list.

  Returns:
    an EventListenerList object

### setEventListenerList

    public void setEventListenerList(EventListenerList eventListenerList)

  Sets the event listener list.

  Parameters:
    `eventListenerList` - an EventListenerList object

### fireEvents

    public void fireEvents(BlogEntry blogEntry)

  Fires all outstanding events on a given blog entry.

  Parameters:
    `blogEntry` - the blog entry to fire events on

### fireBlogEvent

    public abstract void fireBlogEvent(BlogEvent event)

  Fires a blog event to registered listeners.

  Parameters:
    `event` - the BlogEvent instance

### fireBlogEntryEvent

    public abstract void fireBlogEntryEvent(BlogEntryEvent event)

  Fires a blog entry event to registered listeners.

  Parameters:
    `event` - the BlogEntryEvent instance

### fireCommentEvent

    public abstract void fireCommentEvent(CommentEvent event)

  Fires a comment event to registered listeners.

  Parameters:
    `event` - the CommentEvent instance

### fireTrackBackEvent

    public abstract void fireTrackBackEvent(TrackBackEvent event)

  Fires a TrackBack event to registered listeners.

  Parameters:
    `event` - the TrackBackEvent instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.